# Visualization
TKService
Aspect

# Aspect_MarkMap Class Reference

This class defines a MarkMap object.
.

`#include <Aspect_MarkMap.hxx>`

## Public Member Functions

Standard_EXPORT | Aspect_MarkMap ()
Standard_EXPORT void | AddEntry (const Aspect_MarkMapEntry &AnEntry)
| Adds an entry in the mark map <me>. Warning: Raises BadAccess if MarkMap size is exceeded. .
Standard_EXPORT Standard_Integer | AddEntry (const Aspect_MarkerStyle &aStyle)
| Search an identical marker style entry in the mark map <me> and returns the MarkMapEntry Index if exist. Or add a new entry and returns the computed MarkMapEntry index used. .
Standard_EXPORT Standard_Integer | Size () const
| Returns the Allocated markmap Size .
Standard_EXPORT Standard_Integer | Index (const Standard_Integer aMarkmapIndex) const
| Returns the MarkMapEntry.Index of the MarkMap at rank <amarkmapindex> . .
Standard_EXPORT void | Dump () const
Standard_EXPORT Aspect_MarkMapEntry | Entry (const Standard_Integer AnIndex) const
| Returns the Mark map entry with the index <anindex>. Warning: Raises BadAccess if the index less than 1 or greater than Size. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Aspect_SequenceOfMarkMapEntry | mydata

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_MarkMap::Aspect_MarkMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_MarkMap::AddEntry | ( | const Aspect_MarkerStyle & | aStyle | ) |

Standard_EXPORT void Aspect_MarkMap::AddEntry | ( | const Aspect_MarkMapEntry & | AnEntry | ) |

Standard_EXPORT void Aspect_MarkMap::Dump | ( |  | ) | const

Standard_EXPORT Aspect_MarkMapEntry Aspect_MarkMap::Entry | ( | const Standard_Integer | AnIndex | ) | const

Standard_EXPORT const Aspect_MarkMap::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer Aspect_MarkMap::Index | ( | const Standard_Integer | aMarkmapIndex | ) | const

Standard_EXPORT Standard_Integer Aspect_MarkMap::Size | ( |  | ) | const

## Field Documentation

Aspect_SequenceOfMarkMapEntry Aspect_MarkMap::mydata `[protected]`

The documentation for this class was generated from the following file:

- Aspect_MarkMap.hxx